dofile("scripts/include/sporechildflowertemplate.lua")

function init(me)
	commonInit(me, "SporeChildFlowerRed")
end

function update(me, dt)
	commonUpdate(me, dt)
end

function enterState(me, state)
	commonEnterState(me, state)
	if entity_isState(me, STATE_OPENED) then
		-- do effect
		msg("EFFECT!")
	end
end



